Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote.caucho.burlap
Class BurlapClientInvoker

    java.lang.Object
      mx4j.tools.remote.http.HTTPClientInvoker
          mx4j.tools.remote.caucho.CauchoClientInvoker
              mx4j.tools.remote.caucho.burlap.BurlapClientInvoker

All Implemented Interfaces:
  HTTPConnection, JMXConnection

public class BurlapClientInvoker
extends CauchoClientInvoker

Version:
  $Revision: 1.3 $

Constructor Summary
`BurlapClientInvoker(java.lang.String endpoint)`

Method Summary
`protected CauchoInput` | `createCauchoInput(java.io.InputStream stream)`
`protected CauchoOutput` | `createCauchoOutput(java.io.OutputStream stream)`

Methods inherited from class mx4j.tools.remote.caucho.CauchoClientInvoker
`getService`

Methods inherited from class mx4j.tools.remote.http.HTTPClientInvoker
`addNotificationListener, addNotificationListener, close, connect, createMBean, createMBean, fetchNotifications, getAttribute, getAttributes, getConnectionId, getDefaultDomain, getDomains, getMBeanCount, getMBeanInfo, getObjectInstance, invoke, isInstanceOf, isRegistered, queryMBeans, queryNames, removeNotificationListener, removeNotificationListener, removeNotificationListeners, setAttribute, setAttributes, unregisterMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BurlapClientInvoker

    public BurlapClientInvoker(java.lang.String endpoint)

Method Detail

### createCauchoInput

    protected CauchoInput createCauchoInput(java.io.InputStream stream)

  Specified by:
    `createCauchoInput` in class `CauchoClientInvoker`

### createCauchoOutput

    protected CauchoOutput createCauchoOutput(java.io.OutputStream stream)

  Specified by:
    `createCauchoOutput` in class `CauchoClientInvoker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.